/* ************************ */
/*       Hero section       */
/* ************************ */
.secHero {
	position: relative;
	width: 100%;
	height: 100dvh;
	min-height: 100svh;
	overflow: hidden;
}

.vidHero {
  position: absolute;
  top: 50%;
  left: 50%;
	text-align: center;
	width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
  transform: translate(-50%, -50%);
}

/* Landscape */
@media only screen and (orientation: landscape) {
  .vidHeroH {
		display: block;
	}

  .vidHeroV {
		display: none; 
	}
}

/* Portrait */
@media only screen and (orientation: portrait) {
  .vidHeroH {
		display: none;
	}

  .vidHeroV {
		display: block; 
	}
}

.heroFlex {
	position: absolute;
	display: flex;
	flex-direction: column;
	justify-content: space-evenly;
	align-items: center;
	width: 100%;
	min-height: 100svh;
  padding: 2rem 0;
}

.picLogo {
	width: clamp(120px, 40vw + 10vh, 300px);
}

.picLogo img {
	width: 100%;
}

.divSlogan {
	width: 100%;
}

/* **************************** */
/*       Services section       */
/* **************************** */
.secServices {
	margin-top: 0;
	padding: 10px 0;
}

.txtServices {
	margin: 20px;
}

/* ************************* */
/*       About section       */
/* ************************* */
.secAbout {
	position: relative;
	text-align: left;
	margin: auto;
	z-index: 1;
	background-color: transparent;  
}

.picAbout {
	display: block;
	position: relative;
	width: 100%;
	margin: auto;
}

.picAbout img {
	position: relative;
	width: 100%;
	border-radius: 20px;
	border: 3px solid var(--djWhite);
}

.txtAbout {
	width: 100%;
	margin: 20px auto;
	padding: 20px 5%;
	background-color: var(--djBlackA60);
	border-radius: 20px;
}

/* *************************** */
/*       Gallery section       */
/* *************************** */
.secGallery {
	padding-bottom: 20px;
}

.divGalleryWrapper {
  position: relative;
}

.divPicBand {
	display: flex;
  overflow-x: auto;
  scroll-snap-type: x mandatory;
  scroll-behavior: smooth;
  gap: 10px;
  padding: 10px;
}

.divPicBand picture {
  flex: 0 0 auto;
  scroll-snap-align: center;
	border: 2px solid var(--djWhiteA60);
	border-radius: 20px;
}

.divPicBand img {
  height: 200px;
  border-radius: 20px;
}

.divPrev, .divNext {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  font-size: 2rem;
  padding: 20px 10px;
  cursor: pointer;
  font-weight: bold;
  user-select: none;
  z-index: 10;
}

.divPrev {
  left: 0;
  border-radius: 0 10px 10px 0;
}

.divNext {
  right: 0;
  border-radius: 10px 0 0 10px;
}

.divPrev:hover, .divNext:hover {
  background-color: var(--djBlack);
}

.divPrev.disabled,
.divNext.disabled {
	display: none;
}

.divPicBand::-webkit-scrollbar {
  height: 6px;
}

.divPicBand::-webkit-scrollbar-track {
  background: rgba(255,255,255,0.1);
  border-radius: 10px;
}

.divPicBand::-webkit-scrollbar-thumb {
  background: var(--djBlack);
  border-radius: 10px;
}

.divPicBand {
  scrollbar-color: var(--djBlack) rgba(255,255,255,0.1); /* Firefox */
  scrollbar-width: thin;
}
